%define im_dir %{_libdir}/im

Summary: A Simplified Chinese language engine for im-sdk
Name: iiimf-le-chinput
Version: 0.3
Release: 16
License: Distributable
Source: %{name}-%{version}.tar.bz2
URL: http://people.redhat.com/yshao/im-sdk/
Group: User Interface/X
Obsoletes: iiimf-le-inpinyin
Obsoletes: iiimf-le-newpy
Provides:  iiimf-le-inpinyin
Provides:  iiimf-le-newpy
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libtool, openmotif-devel, gtk2-devel
Patch0: iiimf-le-chinput-dep-name.patch
Patch1: iiimf-le-chinput-preedit.patch
Patch2: iiimf-le-chinput-auxoff.patch
Patch3: iiimf-le-chinput-build.patch
Patch4: iiimf-le-chinput-wait-ext.patch
Patch5: iiimf-le-chinput-switch_off_luc-ia64_prototype.patch

Requires(post): %{_bindir}/iiimf-le-tools, %{_bindir}/killall
Requires(preun): %{_bindir}/iiimf-le-tools
Requires(postun): %{_bindir}/killall

%description
iiimf-chinput Simplified Chinese Pinyin language engine for im-sdk

%define sendhup	%{_bindir}/killall -HUP htt_server >& /dev/null || :
%define instle %{_bindir}/iiimf-le-tools --install %{im_dir}/leif/
%define uninstle %{_bindir}/iiimf-le-tools --remove %{im_dir}/leif/

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}

%patch0 -p1 -b .dep-name
%patch1 -p1 -b .preedit
%patch2 -p1 -b .auxoff
%patch3 -p1 -b .build
%patch4 -p1 -b .wait-ext
%patch5 -p1 -b .switch_off_luc-ia64_prototype

%build
aclocal -I m4
autoconf
automake
./configure --prefix=%{im_dir}
make  

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{im_dir} install

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{instle}chinput.so --default >& /dev/null || :
%{sendhup}

%preun
if [ "$1" = 0 ]; then
  %{uninstle}chinput.so >& /dev/null || :
fi

%postun
if [ "$1" = 0 ]; then
  %{sendhup}
fi

%files
%defattr(-,root,root)
%{im_dir}/*

%changelog
* Wed Dec 1 2004 Yu Shao <yshao@redhat.com> 0.3-16
- fix bug 141090, Clear lookup window after switching IC
- fix bug 140692, Aux is not up on IA64

* Wed Nov 24 2004 Yu Shao <yshao@redhat.com> 0.3-15
- fix bug 136135, LE aux window not displayed after switching LE to it

* Thu Nov 18 2004 Yu Shao <yshao@redhat.com> 0.3-14
- rebuild

* Sat Oct 30 2004 Yu Shao <yshao@redhat.com> 0.3-13
- fix reopened bug 132612, update iiimf-le-chinput-preedit.patch

* Fri Oct 29 2004 Yu Shao <yshao@redhat.com> 0.3-12
- fix bug 136980 building warnings

* Fri Oct 1 2004 Yu Shao <yshao@redhat.com> 0.3-11
- fix bug 131213 aux is still on when apps are closed

* Thu Sep 30 2004 Yu Shao <yshao@redhat.com> 0.3-10
- fix bug 132941 crash on x86_64

* Wed Sep 29 2004 Jens Petersen <petersen@redhat.com> - 0.3-9
- add post, preun and postun scripts to HUP htt_server and install/uninstall
  in le.xml.conf

* Tue Sep 28 2004 Yu Shao <yshao@redhat.com> 0.3-8
- fix bug 132612 clean preedit buffer when switching IC

* Mon Sep 27 2004 Yu Shao <yshao@redhat.com> 0.3-7
- fix bug 133227 Yum dependencies problem
- fix bug 133304 LE name and description

* Sun Aug 29 2004 Warren Togami <wtogami@redhat.com> 0.3-6
- minor spec cleanup

* Mon Aug 16 2004 Warren Togami <wtogami@redhat.com> 0.3-5
- fix upgrade path from -inpinyin
- fix BuildRequires, other minor cleanups

* Mon Aug 8 2004 Yu Shao <yshao@redhat.com>
- fixed a typo to distingush Ctrl-Shift and Shift keys

* Fri Aug 6 2004 Yu Shao <yshao@redhat.com>
- miscellaneous improvements on wrapper and automake files
- Ctrl-Shift hot key to switch thru different input modules

* Thu Aug 5 2004 Yu Shao <yshao@redhat.com>
- massive update to include whole minichinput. a XAUX GUI has been added
  to enable input module, punctuation and character width switching
- name changed to iiimf-le-chinput

* Tue Jun 21 2004 Yu Shao <yshao@redhat.com>
- fix bug 121048 and 126405

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 20 2004 Yu Shao <yshao@redhat.com>
- updated commit patch
  - when preedit string is null, forward Space, Comma, Period and Backspace
  - fix a bug with caret postion

* Fri Apr 2 2004 Yu Shao <yshao@redhat.com>
- updated commit patch to fix the problem of can't Backspace 
  when there are only two charaters left in preedit buffer.

* Wed Mar 3 2004 Yu Shao <yshao@redhat.com>
- bounce Space, comma, Backspace, comma and digit keys when frist hit

* Wed Mar 3 2004 Yu Shao <yshao@redhat.com>
- a fix for wrongly calculated the candidates number and caused httx to crash

* Sun Feb 29 2004 Yu Shao <yshao@redhat.com>
- more fixes for preedit string handling

* Thu Feb 26 2004 Yu Shao <yshao@redhat.com>
- to switch off lookup table when preedit string is empty

* Wed Feb 25 2004 Yu Shao <yshao@redhat.com>
- fix for wrongly commit last committed character when key event is interm

* Wed Feb 25 2004 Yu Shao <yshao@redhat.com>
- enhanced preedit string handling, stronger input events filter

* Thu Feb 17 2004 Yu Shao <yshao@redhat.com>
- rebuild for fc2,disabled AUX for iiimgcf

* Thu Aug 25 2003 Yu Shao <yshao@redhat.com>
- DEBUG macro stuff

* Thu Aug 07 2003 Yu Shao <yshao@redhat.com>
- Initial release
